/*
 * Copyright (C) 2012-2026 MotionSystems
 *
 * This file is part of ForceSeatMI SDK.
 *
 * www.motionsystems.eu
 *
 */

#include "ForceSeatMIPlane.h"
#include "ForceSeatMIPlane_ControllerCore.h"

#define LOCTEXT_NAMESPACE "ForceSeatMIPlane"

class ForceSeatMIPlane_Impl : public  ForceSeatMIPlane
{
public:
	virtual IForceSeatMIPlane_ControllerCore* CreateControllerCore(APawn* plane) override
	{
		return new ForceSeatMIPlane_ControllerCore(plane);
	}
};

#undef LOCTEXT_NAMESPACE

IMPLEMENT_MODULE(ForceSeatMIPlane_Impl, ForceSeatMIPlane)
